# $Revision: 1.40 $, $Date: 2011/07/30 19:53:46 $
Summary:	A backend data gatherer for Cacti
Summary(pl.UTF-8):	Backend gromadzący dane dla Cacti
Name:		cacti-spine
Version:	0.8.7g
Release:	9
License:	GPL
Group:		Applications
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
# Source0-md5:	22c2b1986c880b9c587876c18d5c3f9f
Patch0:		%{name}-paths.patch
Patch1:		unified_issues.patch
URL:		http://www.cacti.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.502
BuildRequires:	zlib-devel
%requires_eq	net-snmp-libs
Requires:	cacti
Obsoletes:	cacti-cactid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		cacti
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_bindir		%{_sbindir}

%description
A backend data gatherer for Cacti. This package represents the future
replacement for Cacti's cmd.php. It is almost 100% compatible with the
legacy cmd.php processor.

%description -l pl.UTF-8
Backend gromadzący dane dla Cacti. Ten pakiet reprezentuje przyszły
zamiennik cmd.php z Cacti. Jest prawie w 100% kompatybilny ze starym
procesorem cmd.php.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
chmod +x ./configure
%configure \
	--with-results-buffer=4096 \
	--with-mysql \
	--with-snmp=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sbindir}/{spine,cacti-poller-spine}
mv $RPM_BUILD_ROOT%{_sysconfdir}/spine.conf{.dist,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/spine.conf
%attr(755,root,root) %{_sbindir}/cacti-poller-spine

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-spine.spec,v $
Revision 1.40  2011/07/30 19:53:46  arekm
- release 9

Revision 1.39  2011/03/31 18:12:59  arekm
- release 8

Revision 1.38  2011/03/29 06:46:52  arekm
- release 7

Revision 1.37  2011/01/31 08:52:57  arekm
- release 6

Revision 1.36  2010/11/15 11:16:35  paszczus
- release 5

Revision 1.35  2010/10/10 00:30:14  skibi
- Add patches released on 2010/08/31 http://www.cacti.net/spine_download_patches.php

Revision 1.34  2010/08/19 15:26:41  glen
- obsolete cacti-cactid

Revision 1.33  2010/07/13 14:46:58  glen
- release 2

Revision 1.32  2010/07/12 09:44:13  glen
- up to 0.8.7g

Revision 1.31  2010/06/06 14:48:19  arekm
- release 5

Revision 1.30  2010/04/14 21:13:56  glen
- release 4

Revision 1.29  2010/04/14 21:13:37  glen
- add 3 official patches
- increase result buffer to 4096 (for varnish template)
- rel 3

Revision 1.28  2009/07/16 08:50:16  glen
- release 2

Revision 1.27  2009/07/16 08:48:55  glen
- up to 0.8.7e by Eero Hänninen

Revision 1.26  2009/04/15 09:45:00  marmarek
- up to 0.8.7c

Revision 1.25  2009/02/03 10:31:29  glen
- release 6

Revision 1.24  2009/02/03 10:28:29  glen
- strict dep on net-snmp lib version (WOLVERWAIN TEST YO URCOMMITS); rel 5

Revision 1.23  2008/10/05 02:42:14  glen
- move to cacti webapps dir; rel 4

Revision 1.22  2008/10/05 02:40:27  glen
- drop old name

Revision 1.21  2008/09/08 14:39:02  wolvverine
- rel.3, requires_eq_to net-snmp-libs

Revision 1.20  2007/12/13 20:05:41  wolvverine
- up to 0.8.7a

Revision 1.19  2007-11-25 16:09:18  qboosh
- BR: ac,lt

Revision 1.18  2007-11-25 16:02:33  arekm
- cactid now known as spine

Revision 1.17  2007-11-20 22:58:44  glen
- rel 1

Revision 1.16  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.14  2006/11/06 17:53:48  djrzulf
- updated to latest version, NFY,

Revision 1.13  2006/03/27 14:05:54  glen
- rel 4

Revision 1.12  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.11  2006/03/01 04:30:03  wolvverine
- add official patch "MySQL Maximum Packet Size" for cacti 0.8.6h

Revision 1.10  2006/01/17 10:03:57  arekm
- up to 0.8.6g

Revision 1.9  2005/10/27 17:37:46  arekm
- rel 2

Revision 1.8  2005/10/12 18:55:22  qboosh
- pl

Revision 1.7  2005/10/12 07:44:19  arekm
- rel 1

Revision 1.6  2005/10/11 17:18:23  arekm
- fix install

Revision 1.5  2005/10/11 12:48:49  arekm
- drop cron support; add Requires: cacti so cacti will run cactid on it's own

Revision 1.4  2005/10/11 11:26:38  arekm
- unfortunately it's not a daemon, run from cron

Revision 1.3  2005/10/11 11:07:28  arekm
- fix amd64

Revision 1.2  2005/10/11 11:05:19  arekm
- add init scripts

Revision 1.1  2005/10/11 10:59:20  arekm
- cacti polling daemon
